Bug 483443 - deluge : Unowned directories
Summary: deluge : Unowned directories
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: deluge
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Peter Gordon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-01 11:54 UTC by Michael Schwendt
Modified: 2009-03-31 20:37 UTC (History)
2 users (show)

Fixed In Version: 1.1.4-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-11 00:03:41 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2009-02-01 11:54:53 UTC
One or more directories are not included within this
package and/or its sub-packages:

=> deluge-1.1.2-1.fc11.src.rpm
=> deluge-1.1.2-1.fc11.noarch (rawhide-development-i386)
/usr/share/icons/scalable
/usr/share/icons/scalable/apps

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n deluge

Comment 1 Peter Gordon 2009-02-01 23:00:15 UTC
Thanks, Michael. Fixed in rawhide, with updates being prepared for F-10 and F-9.

Comment 2 Mamoru TASAKA 2009-02-02 04:39:24 UTC
Ah, rather I think such icons should be installed under
%_datadir/icons/hicolor/scalable/apps , not under 
%_datadir/icons/scalable/apps .

Comment 3 Fedora Update System 2009-02-05 02:13:42 UTC
deluge-1.1.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update deluge'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1272

Comment 4 Peter Gordon 2009-02-11 08:08:57 UTC
I'll fix that when I push the next version bump. Thanks, Mamoru-san! :)

Comment 5 Mamoru TASAKA 2009-03-10 16:39:46 UTC
Would you take care of my comment now?

Comment 6 Peter Gordon 2009-03-11 00:03:41 UTC
Sorry about that; I *completely* forgot about the directory change.

I've committed a fix to rawhide, and will fix the F-10 one similarly when I get back from class. :)

Thanks.

Comment 7 Fedora Update System 2009-03-11 05:32:55 UTC
deluge-1.1.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/deluge-1.1.4-2.fc10

Comment 8 Fedora Update System 2009-03-31 20:37:46 UTC
deluge-1.1.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.